Package twisted :: Package web :: Module twcgi :: Class PHP3Script |
[frames | no frames]

## Class PHP3Script

    Resource --+
               |
       CGIScript --+
                   |
      FilteredScript --+
                       |
                      PHP3Script

I am a FilteredScript that uses the default PHP3 command on most systems.

Method Summary
Inherited from FilteredScript
| ``runProcess`(self, env, request, qargs)`
Inherited from CGIScript
| ``__init__`(self, filename, registry)` Initialize, with the name of a CGI script file.
| ``render`(self, request)` Do various things to conform to the CGI specification.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`str` | `filter` = `'/usr/bin/php3'`
Inherited from CGIScript
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Class Variable Details

    ### filter Type: `str` Value:
        '/usr/bin/php3'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net